﻿/* HERO */
.recruit-hero {
    padding: 40px 0 30px 0;
    position: relative;
}

    .recruit-hero h2 {
        color: #d4af37;
    }

/* BENEFITS */
.recruit-benefits {
    padding: 40px 0;
    text-align: center;
}

    .recruit-benefits .benefit-icon {
        font-size: 30px;
    }

.benefit-grid {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin-top: 20px;
}

.benefit-item {
    background: #2C3539;
    color: #fff;
    padding: 20px;
    border-radius: 10px;
}

/* JOBS */
.recruit-jobs {
    padding: 10px 0 40px 0;
}

    .recruit-jobs h2 {
        text-align: center;
    }

.job-card {
    background: #2C3539;
    color: #fff;
    padding: 30px 30px 40px 30px;
    border-radius: 10px;
    margin-bottom: 20px;
    margin-top: 20px;
}

    .job-card a {
        margin-top: 10px;
        padding: 10px 20px;
        background: #d4af37;
        border: none;
        cursor: pointer;
        color: #fff;
        opacity: 1;
        font-weight: 700;
    }

        .job-card a:hover {
            background: #d4860a;
            color: #fff;
            border: none;
            opacity: 1;
        }

/* VIDEO */
.team-video {
    padding: 40px 0 80px 0;
    text-align: center;
    background: #2C3539;
    color: #fff;
}

.video-wrapper {
    margin-top: 20px;
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    height: 0;
    border-radius: 12px;
    overflow: hidden;
}

    .video-wrapper iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

/* COMMENT */
.feedback-section {
    padding: 0;
    text-align: center;
    margin-top: 60px;
}

.feedback-slider {
    overflow: hidden;
    /*margin-top: 20px;*/
    position: relative;
}

.feedback-track {
    display: flex;
    gap: 20px;
    width: max-content; /*👈 cực quan trọng */
    animation: scrollFeedback 20s linear infinite;
    will-change: transform; /* 👈 mượt hơn */
    margin: 20px 0 20px 0;
}

.feedback-card {
    min-width: 300px;
    background: #2C3539;
    color: #fff;
    padding: 20px;
    border-radius: 12px;
    text-align: center;
    flex: 0 0 auto;
    flex-shrink: 0;
}

    .feedback-card:hover {
        transform: scale(1.05);
        transition: .3s;
    }

    .feedback-card img {
        width: 70px;
        height: 70px;
        border-radius: 50%;
        object-fit: cover;
        margin-bottom: 10px;
        border: 2px solid #d4af37;
    }

    .feedback-card p {
        font-style: italic;
        margin-bottom: 10px;
    }

    .feedback-card h4 {
        color: #d4af37;
        margin-bottom: 5px;
    }

    .feedback-card span {
        font-size: 13px;
        color: #aaa;
    }

/* animation chạy */
@keyframes scrollFeedback {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

/* RESPONSIVE */
@media (max-width: 768px) {
    .benefit-grid {
        grid-template-columns: 1fr 1fr;
    }

    .feedback-grid {
        grid-template-columns: 1fr;
    }

    .team-video {
        padding: 20px 0 40px 0;
    }
}
